/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：信息安全性设计准则检查插件
 * 项目描述：用于检查源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */
package com.keyware.sonar.Configuration;

import org.sonar.api.server.profile.BuiltInQualityProfilesDefinition;
import org.sonarsource.api.sonarlint.SonarLintSide;

/**
 * 定义配置信息安全性质量配置
 *
 * @author GuoXin
 * @date 2024/1/11
 */
@SonarLintSide
public class ConfigurationSecurityDesignWayProfile implements BuiltInQualityProfilesDefinition {

    @Override
    public void define(Context context) {

        var cfgWay = context.createBuiltInQualityProfile("配置信息安全性设计规则", ConfigurationFileLanguage.KEY);
        cfgWay.activateRule("config", "ConfigurationFileChecker");
        cfgWay.activateRule("config", "SessionDateChecker");
        cfgWay.done();
    }
}
