/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：28所 C++ 信息安全性设计准则
 * 项目描述：用于检查C++源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */
package com.keyware.sonar.cxx.rules.checkers;

import com.keyware.sonar.cxx.CxxFileTesterHelper;
import org.junit.jupiter.api.Test;
import org.sonar.cxx.CxxAstScanner;
import org.sonar.cxx.squidbridge.api.SourceFile;
import org.sonar.cxx.squidbridge.checks.CheckMessagesVerifier;

import java.io.IOException;

/**
 * TODO PassWordCountCheckerTest
 *
 * @author RenFengJiang
 * @date 2024/1/13
 */
public class PassWordCountCheckerTest {

    @Test
    public void checkTest() throws IOException {
        var checker = new PassWordCountChecker();
        var tester = CxxFileTesterHelper.create("PassWordCountChecker.cc");
        SourceFile file = CxxAstScanner.scanSingleInputFile(tester.asInputFile(), checker);
        CheckMessagesVerifier.verify(file.getCheckMessages())
                .next().atLine(10).withMessage("使用盐值计算散列值")
                .noMore();
    }
}
